You are not logged in.

#1 2020-02-12 08:31:21

Cadeyrn
Member
Registered: 2013-04-06
Posts: 154

Bluetooth headset stopped working after update and I can't get it back

I've downgraded pulseaudio (including bluetooth package), bluez, and the kernel all back to the last versions that worked with my headset, but I still can't get it working again. Are there any other packages that have an effect on this? sbc has not been upgraded recently (or ever, since it was first installed).

The exact behavior is it seems to connect, but never forms a sink in pulse, and also the headphones themselves never output their "Connected." audio clip that indicates they connected successfully. The headset is a Sennheiser HD 4.40

Offline

#2 2020-02-12 08:36:23

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 8,713

Re: Bluetooth headset stopped working after update and I can't get it back

In terms of packages linux-firmware will have the most impact.

If you actually want to solve this on newer packages you should post some logs during a connection attempt.

Offline

#3 2020-02-12 16:20:20

Cadeyrn
Member
Registered: 2013-04-06
Posts: 154

Re: Bluetooth headset stopped working after update and I can't get it back

Unfortunately, downgrading the following packages back to the last working version has not changed the behavior, even all of them at the same time:
linux
linux-lts-headers
linux-firmware
bluez
bluez-libs
bluez-plugins
libpulse
pulseaudio
pulseaudio-bluetooth
pulseaudio-jack
pulseaudio-equalizer
pulseaudio-zeroconf
systemd
systemd-libs
systemd-sysvcompat

Note: JACK doesn't seem to have anything to do with the issue, as I'm testing this with JACK off to the same effect, and it didn't have a new version this time anyway.
Note: bluez-utils (actually bluez-utils-compat) did not have an upgrade this time.
Note: I'm running the linux-lts-headers on normal linux because I plan to uninstall normal linux as soon as I have this sorted out. I've been waiting a very long time for LTS to reach 5.x, as LTS 4.19 had a bug that made my computer unuseable. I first noticed this issue on the new 5.x LTS, so it's not unique to the normal kernel.
Note: I have not forgotten to run grub-mkconfig between every deliberate kernel change.


The headset still works on my phone, so it must be the computer. Is there any other package I possibly could have missed? Here's the pacman.log of the packages that were upgraded:

[2020-02-10T19:21:15-0800] [ALPM] upgraded iana-etc (20191212-1 -> 20200117-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded autoconf (2.69-6 -> 2.69-7)
[2020-02-10T19:21:15-0800] [ALPM] upgraded bison (3.5-1 -> 3.5.1-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded libtasn1 (4.15.0-1 -> 4.16.0-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded libcap (2.28-1 -> 2.30-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded systemd-libs (244.1-1 -> 244.2-2)
[2020-02-10T19:21:15-0800] [ALPM] upgraded device-mapper (2.02.186-4 -> 2.02.186-5)
[2020-02-10T19:21:15-0800] [ALPM] upgraded libutil-linux (2.34-8 -> 2.35.1-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded cryptsetup (2.2.2-1 -> 2.3.0-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded expat (2.2.9-2 -> 2.2.9-3)
[2020-02-10T19:21:15-0800] [ALPM] upgraded e2fsprogs (1.45.4-2 -> 1.45.5-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded krb5 (1.17-2 -> 1.17.1-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded dbus (1.12.16-3 -> 1.12.16-5)
[2020-02-10T19:21:15-0800] [ALPM] upgraded iptables (1:1.8.3-3 -> 1:1.8.4-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded hwids (20191025-2 -> 20200204-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded libtirpc (1.1.4-2 -> 1.2.5-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded shadow (4.8-1 -> 4.8.1-1)
[2020-02-10T19:21:15-0800] [ALPM] upgraded util-linux (2.34-8 -> 2.35.1-1)
[2020-02-10T19:21:16-0800] [ALPM] upgraded systemd (244.1-1 -> 244.2-2)
[2020-02-10T19:21:16-0800] [ALPM] upgraded p11-kit (0.23.18.1-2 -> 0.23.20-2)
[2020-02-10T19:21:16-0800] [ALPM] upgraded ca-certificates-utils (20181109-2 -> 20181109-3)
[2020-02-10T19:21:16-0800] [ALPM] upgraded ca-certificates-mozilla (3.48-1 -> 3.50-1)
[2020-02-10T19:21:16-0800] [ALPM] upgraded ca-certificates (20181109-2 -> 20181109-3)
[2020-02-10T19:21:16-0800] [ALPM] upgraded curl (7.67.0-3 -> 7.68.0-1)
[2020-02-10T19:21:16-0800] [ALPM] upgraded dhcpcd (8.1.2-1 -> 8.1.6-1)
[2020-02-10T19:21:16-0800] [ALPM] upgraded file (5.38-1 -> 5.38-3)
[2020-02-10T19:21:16-0800] [ALPM] upgraded gnutls (3.6.11.1-1 -> 3.6.12-1)
[2020-02-10T19:21:16-0800] [ALPM] upgraded grep (3.3-3 -> 3.4-1)
[2020-02-10T19:21:16-0800] [ALPM] upgraded groff (1.22.4-2 -> 1.22.4-3)
[2020-02-10T19:21:16-0800] [ALPM] upgraded grub (2:2.04-3 -> 2:2.04-5)
[2020-02-10T19:21:16-0800] [ALPM] upgraded iproute2 (5.4.0-1 -> 5.5.0-1)
[2020-02-10T19:21:16-0800] [ALPM] upgraded libarchive (3.4.0-3 -> 3.4.1-1)
[2020-02-10T19:21:16-0800] [ALPM] upgraded libedit (20191025_3.1-1 -> 20191231_3.1-1)
[2020-02-10T19:21:16-0800] [ALPM] upgraded libevent (2.1.11-3 -> 2.1.11-5)
[2020-02-10T19:21:16-0800] [ALPM] upgraded libpipeline (1.5.1-2 -> 1.5.2-1)
[2020-02-10T19:21:16-0800] [ALPM] upgraded libsecret (0.19.1-3 -> 0.20.1-1)
[2020-02-10T19:21:17-0800] [ALPM] upgraded linux (5.4.5.arch1-1 -> 5.5.2.arch1-1)
[2020-02-10T19:21:19-0800] [ALPM] upgraded linux-firmware (20191215.eefb5f7-1 -> 20200122.1eb2408-1)
[2020-02-10T19:21:20-0800] [ALPM] upgraded linux-lts (4.19.90-1 -> 4.19.101-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded linux-lts-headers (4.19.90-1 -> 4.19.101-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded lvm2 (2.02.186-4 -> 2.02.186-5)
[2020-02-10T19:21:22-0800] [ALPM] upgraded make (4.2.1-4 -> 4.3-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded nano (4.6-1 -> 4.7-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded nspr (4.24-1 -> 4.25-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded sqlite (3.30.1-2 -> 3.31.1-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded nss (3.48-1 -> 3.50-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded openresolv (3.9.2-2 -> 3.10.0-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded openssl-1.0 (1.0.2.t-1 -> 1.0.2.u-1)
[2020-02-10T19:21:22-0800] [ALPM] warning: /etc/pacman.d/mirrorlist installed as /etc/pacman.d/mirrorlist.pacnew
[2020-02-10T19:21:22-0800] [ALPM] upgraded pacman-mirrorlist (20191001-2 -> 20200207-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded pacman (5.2.1-1 -> 5.2.1-4)
[2020-02-10T19:21:22-0800] [ALPM] upgraded s-nail (14.9.15-3 -> 14.9.17-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded sed (4.7-3 -> 4.8-1)
[2020-02-10T19:21:22-0800] [ALPM] upgraded systemd-sysvcompat (244.1-1 -> 244.2-2)
[2020-02-10T19:21:22-0800] [ALPM] upgraded wpa_supplicant (2:2.9-3 -> 2:2.9-5)
[2020-02-10T19:21:23-0800] [ALPM] upgraded xfsprogs (5.3.0-1 -> 5.4.0-1)
[2020-02-10T19:21:23-0800] [ALPM] upgraded alsa-lib (1.2.1.2-2 -> 1.2.1.2-3)
[2020-02-10T19:21:23-0800] [ALPM] upgraded alsa-plugins (1.2.1-1 -> 1.2.1-5)
[2020-02-10T19:21:23-0800] [ALPM] installed hwloc (2.1.0-2)
[2020-02-10T19:21:23-0800] [ALPM] installed openmpi (4.0.2-3)
[2020-02-10T19:21:23-0800] [ALPM] upgraded fftw (3.3.8-1 -> 3.3.8-2)
[2020-02-10T19:21:23-0800] [ALPM] upgraded libsamplerate (0.1.9-2 -> 0.1.9-3)
[2020-02-10T19:21:23-0800] [ALPM] upgraded alsa-utils (1.2.1-1 -> 1.2.1-2)
[2020-02-10T19:21:23-0800] [ALPM] upgraded python (3.8.0-1 -> 3.8.1-4)
[2020-02-10T19:21:24-0800] [ALPM] upgraded apparmor (2.13.3-3 -> 2.13.3-4)
[2020-02-10T19:21:24-0800] [ALPM] upgraded apr (1.7.0-1 -> 1.7.0-2)
[2020-02-10T19:21:24-0800] [ALPM] upgraded apr-util (1.6.1-5 -> 1.6.1-6)
[2020-02-10T19:21:24-0800] [ALPM] upgraded libjpeg-turbo (2.0.3-1 -> 2.0.4-1)
[2020-02-10T19:21:24-0800] [ALPM] upgraded llvm-libs-git (10.0.0_r334252.3a779b7dfd8-1 -> 11.0.0_r341619.c1c9819ef91-1)
[2020-02-10T19:21:24-0800] [ALPM] upgraded libx11 (1.6.9-5 -> 1.6.9-6)
[2020-02-10T19:21:24-0800] [ALPM] upgraded libglvnd (1.3.0-1 -> 1.3.0-2)
[2020-02-10T19:21:24-0800] [ALPM] upgraded mesa-git (1:20.0.0_devel.118645.fe4a8df9a8e-1 -> 1:20.1.0_devel.119977.20bcbcd9589-1)
[2020-02-10T19:21:24-0800] [ALPM] upgraded fontconfig (2:2.13.91+24+g75eadca-1 -> 2:2.13.91+24+g75eadca-2)
[2020-02-10T19:21:28-0800] [ALPM-SCRIPTLET] Rebuilding fontconfig cache... done.
[2020-02-10T19:21:28-0800] [ALPM] upgraded shared-mime-info (1.15-1 -> 1.15-2)
[2020-02-10T19:21:28-0800] [ALPM] upgraded mtdev (1.1.5-2 -> 1.1.6-1)
[2020-02-10T19:21:28-0800] [ALPM] upgraded libevdev (1.8.0-1 -> 1.8.0-2)
[2020-02-10T19:21:28-0800] [ALPM] upgraded libwacom (1.1-1 -> 1.2-1)
[2020-02-10T19:21:28-0800] [ALPM] upgraded libinput (1.14.3-1 -> 1.15.0-1)
[2020-02-10T19:21:28-0800] [ALPM] upgraded xkeyboard-config (2.28-1 -> 2.29-1)
[2020-02-10T19:21:28-0800] [ALPM] upgraded libxkbcommon (0.9.1-1 -> 0.10.0-1)
[2020-02-10T19:21:28-0800] [ALPM] upgraded libxkbcommon-x11 (0.9.1-1 -> 0.10.0-1)
[2020-02-10T19:21:28-0800] [ALPM] installed md4c (0.4.2-1)
[2020-02-10T19:21:28-0800] [ALPM] upgraded qt5-base (5.13.2-3 -> 5.14.1-2)
[2020-02-10T19:21:28-0800] [ALPM] upgraded attica (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:28-0800] [ALPM] upgraded libva (2.5.0-1 -> 2.6.1-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded avidemux-cli (2.7.4-2 -> 2.7.4-3)
[2020-02-10T19:21:29-0800] [ALPM] upgraded x264 (3:0.157.r2980.34c06d1-2 -> 3:0.159.r2991.1771b55-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded avidemux-qt (2.7.4-2 -> 2.7.4-3)
[2020-02-10T19:21:29-0800] [ALPM] upgraded babl (0.1.72-1 -> 0.1.74-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded qt5-declarative (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded ki18n (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded karchive (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded kconfig (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded kcoreaddons (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded poppler (0.82.0-1 -> 0.85.0-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded poppler-qt5 (0.82.0-1 -> 0.85.0-1)
[2020-02-10T19:21:29-0800] [ALPM] installed libmfx (19.4.0-4)
[2020-02-10T19:21:29-0800] [ALPM] upgraded libsndfile (1.0.28-2 -> 1.0.28-3)
[2020-02-10T19:21:29-0800] [ALPM] upgraded libpulse (13.0-2 -> 13.0-3)
[2020-02-10T19:21:29-0800] [ALPM] upgraded libwebp (1.0.3-1 -> 1.1.0-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded xvidcore (1.3.6-1 -> 1.3.7-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded v4l-utils (1.16.7-1 -> 1.18.0-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded vulkan-icd-loader (1.1.129-1 -> 1.2.132-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded ffmpeg (1:4.2.1-4 -> 1:4.2.2-2)
[2020-02-10T19:21:29-0800] [ALPM] upgraded kfilemetadata (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded qt5-x11extras (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded kidletime (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded libusbmuxd (2.0.0-2 -> 2.0.1-1)
[2020-02-10T19:21:29-0800] [ALPM] upgraded solid (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kwidgetsaddons (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kjobwidgets (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kdbusaddons (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kwindowsystem (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kcrash (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kglobalaccel (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded qt5-svg (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kauth (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kcodecs (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kguiaddons (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kconfigwidgets (5.65.0-2 -> 5.67.0-2)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kitemviews (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kiconthemes (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kxmlgui (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kbookmarks (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded openal (1.20.0-1 -> 1.20.1-2)
[2020-02-10T19:21:30-0800] [ALPM] upgraded qt5-multimedia (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded qt5-speech (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded knotifications (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kservice (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kwallet (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kcompletion (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded sonnet (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded ktextwidgets (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded kio (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded baloo (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded beep (1.4.4-1 -> 1.4.7-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded bind-tools (9.14.8-4 -> 9.14.10-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded bluez (5.52-1 -> 5.52-2)
[2020-02-10T19:21:30-0800] [ALPM] upgraded bluez-libs (5.52-1 -> 5.52-2)
[2020-02-10T19:21:30-0800] [ALPM] upgraded bluez-plugins (5.52-1 -> 5.52-2)
[2020-02-10T19:21:30-0800] [ALPM] upgraded boost-libs (1.71.0-4 -> 1.72.0-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded cantarell-fonts (1:0.111-1 -> 1:0.201-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded talloc (2.3.0-1 -> 2.3.1-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded cifs-utils (6.9-1 -> 6.10-1)
[2020-02-10T19:21:30-0800] [ALPM] upgraded libuv (1.34.0-1 -> 1.34.2-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded cmake (3.16.2-1 -> 3.16.4-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded qpdf (9.1.0-1 -> 9.1.1-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded imagemagick (7.0.9.9-1 -> 7.0.9.22-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded cups-filters (1.26.0-1 -> 1.27.0-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded davfs2 (1.5.5-1 -> 1.5.6-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded dconf-editor (3.34.2-1 -> 3.34.3-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded dhclient (4.4.1-4 -> 4.4.2-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded doxygen (1.8.16-2 -> 1.8.17-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded ell (0.26-1 -> 0.27-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded ethtool (1:5.3-1 -> 1:5.4-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded faac (1.30-1 -> 1.30-2)
[2020-02-10T19:21:31-0800] [ALPM] upgraded ttf-liberation (2.00.5-2 -> 2.1.0-1)
[2020-02-10T19:21:31-0800] [ALPM] upgraded noto-fonts (20190926-3 -> 20190926-4)
[2020-02-10T19:21:31-0800] [ALPM] upgraded xorg-mkfontscale (1.2.1-1 -> 1.2.1-2)
[2020-02-10T19:21:32-0800] [ALPM] upgraded firefox (72.0.1-1 -> 73.0-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded openexr (2.4.0-6 -> 2.4.0-7)
[2020-02-10T19:21:32-0800] [ALPM] upgraded lensfun (0.3.2-9 -> 0.3.95-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded intel-tbb (2020.0-1 -> 2020.1-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded gegl (0.4.18-1 -> 0.4.20-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded perl-error (0.17028-1 -> 0.17029-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded perl-timedate (2.30-6 -> 2.31-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded git (2.24.1-2 -> 2.25.0-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded glib-networking (2.62.2-1 -> 2.62.3-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded glslang (7.13.3496-2 -> 8.13.3559-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded gparted (1.0.0-1 -> 1.1.0-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded libpaper (1.1.24-11 -> 1.1.28-1)
[2020-02-10T19:21:32-0800] [ALPM] upgraded netpbm (10.73.28-1 -> 10.73.30-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded graphviz (2.42.3-1 -> 2.42.3-2)
[2020-02-10T19:21:33-0800] [ALPM] upgraded gssdp (1.2.1-1 -> 1.2.2-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded libsrtp (1:2.2.0-1 -> 1:2.3.0-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded libde265 (1.0.4-1 -> 1.0.5-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded libkate (0.4.1-6 -> 0.4.1-7)
[2020-02-10T19:21:33-0800] [ALPM] installed libtiger (0.3.4-5)
[2020-02-10T19:21:33-0800] [ALPM] upgraded wavpack (5.1.0-2 -> 5.2.0-1)
[2020-02-10T19:21:33-0800] [ALPM] installed qt5-wayland (5.14.1-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded gst-plugins-good (1.16.2-1 -> 1.16.2-2)
[2020-02-10T19:21:33-0800] [ALPM] upgraded gupnp (1.2.1-1 -> 1.2.2-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded gst-plugins-bad (1.16.2-1 -> 1.16.2-2)
[2020-02-10T19:21:33-0800] [ALPM] upgraded gst-plugins-ugly (1.16.2-1 -> 1.16.2-2)
[2020-02-10T19:21:33-0800] [ALPM] upgraded kactivities (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded libkipi (19.12.0-1 -> 19.12.2-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded libkdcraw (19.12.0-1 -> 19.12.2-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded kparts (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded kitemmodels (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded kpackage (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded kdeclarative (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded kcmutils (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded signon-kwallet-extension (19.12.0-1 -> 19.12.2-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded qt5-webchannel (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded qt5-location (5.13.2-2 -> 5.14.1-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded snappy (1.1.7-1 -> 1.1.8-1)
[2020-02-10T19:21:33-0800] [ALPM] upgraded re2 (20191201-1 -> 20200101-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded qt5-webengine (5.13.2-4 -> 5.14.1-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded signon-ui (0.17+20150611-2 -> 0.17+20171022-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded kaccounts-integration (19.12.0-1 -> 19.12.2-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded qt5-quickcontrols (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded qt5-quickcontrols2 (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded qt5-graphicaleffects (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded kirigami2 (5.65.0-2 -> 5.67.1-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded purpose (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded gwenview (19.12.0-1 -> 19.12.2-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded htop (2.2.0-2 -> 2.2.0-3)
[2020-02-10T19:21:34-0800] [ALPM] upgraded libmagick6 (6.9.10.77-1 -> 6.9.10.91-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded poppler-glib (0.82.0-1 -> 0.85.0-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded libcdr (0.1.5-3 -> 0.1.6-1)
[2020-02-10T19:21:34-0800] [ALPM] upgraded inkscape (0.92.4-9 -> 0.92.4-12)
[2020-02-10T19:21:35-0800] [ALPM] upgraded jre11-openjdk-headless (11.0.5.u10-1 -> 11.0.6.u10-1)
[2020-02-10T19:21:35-0800] [ALPM] upgraded jre11-openjdk (11.0.5.u10-1 -> 11.0.6.u10-1)
[2020-02-10T19:21:36-0800] [ALPM] upgraded jdk11-openjdk (11.0.5.u10-1 -> 11.0.6.u10-1)
[2020-02-10T19:21:36-0800] [ALPM] upgraded jre8-openjdk-headless (8.u232-1 -> 8.u242-1)
[2020-02-10T19:21:36-0800] [ALPM] upgraded jre8-openjdk (8.u232-1 -> 8.u242-1)
[2020-02-10T19:21:36-0800] [ALPM] upgraded jdk8-openjdk (8.u232-1 -> 8.u242-1)
[2020-02-10T19:21:37-0800] [ALPM] upgraded jre-openjdk-headless (13.0.1.u9-1 -> 13.0.2.u8-1)
[2020-02-10T19:21:37-0800] [ALPM] upgraded jre-openjdk (13.0.1.u9-1 -> 13.0.2.u8-1)
[2020-02-10T19:21:37-0800] [ALPM] upgraded libkcddb (19.12.0-1 -> 19.12.2-1)
[2020-02-10T19:21:37-0800] [ALPM] upgraded knotifyconfig (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:37-0800] [ALPM] upgraded knewstuff (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:37-0800] [ALPM] upgraded qt5-sensors (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:21:37-0800] [ALPM] upgraded qt5-webkit (5.212.0alpha3-6 -> 5.212.0alpha3-9)
[2020-02-10T19:21:38-0800] [ALPM] upgraded k3b (1:19.12.0-1 -> 1:19.12.2-1)
[2020-02-10T19:21:38-0800] [ALPM] upgraded kdoctools (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libcmis (0.5.2-3 -> 0.5.2-4)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libgee (0.20.2-1 -> 0.20.3-1)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libgusb (0.3.1-1 -> 0.3.3-1)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libheif (1.6.1-1 -> 1.6.2-1)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libieee1284 (0.2.11-7 -> 0.2.11-8)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libixion (0.14.1-5 -> 0.15.0-1)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libmikmod (3.3.11.1-2 -> 3.3.11.1-4)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libmm-glib (1.12.2-1 -> 1.12.4-1)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libmtp (1.1.16-1 -> 1.1.17-1)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libnm (1.22.0-1 -> 1.22.6-1)
[2020-02-10T19:21:38-0800] [ALPM] upgraded liborcus (0.14.1-5 -> 0.15.3-1)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libpagemaker (0.0.4-1 -> 0.0.4-2)
[2020-02-10T19:21:38-0800] [ALPM] upgraded shaderc (2019.0-3 -> 2019.0-4)
[2020-02-10T19:21:38-0800] [ALPM] upgraded libplacebo (1.21.0-1 -> 1.29.1-1)
[2020-02-10T19:21:45-0800] [ALPM] upgraded libreoffice-fresh (6.3.4-1 -> 6.4.0-2)
[2020-02-10T19:21:46-0800] [ALPM] upgraded libreoffice-fresh-ja (6.3.4-1 -> 6.4.0-1)
[2020-02-10T19:21:46-0800] [ALPM] upgraded libsynctex (2019.51075-4 -> 2019.51075-6)
[2020-02-10T19:21:46-0800] [ALPM] upgraded libpgm (5.2.122-4 -> 5.2.122-5)
[2020-02-10T19:21:46-0800] [ALPM] upgraded libteam (1.29-4 -> 1.30-1)
[2020-02-10T19:21:46-0800] [ALPM] upgraded libunrar (1:5.8.5-1 -> 1:5.9.1-1)
[2020-02-10T19:21:46-0800] [ALPM] upgraded libusb-compat (0.1.5-2 -> 0.1.7-1)
[2020-02-10T19:21:46-0800] [ALPM] upgraded libxcomp (3.5.99.20-2 -> 3.5.99.22-1)
[2020-02-10T19:21:47-0800] [ALPM] upgraded mariadb-libs (10.4.11-1 -> 10.4.12-1)
[2020-02-10T19:21:47-0800] [ALPM] upgraded python-pyparsing (2.4.5-1 -> 2.4.6-1)
[2020-02-10T19:21:47-0800] [ALPM] upgraded python-six (1.13.0-2 -> 1.14.0-1)
[2020-02-10T19:21:47-0800] [ALPM] upgraded python-packaging (19.2-5 -> 20.0-1)
[2020-02-10T19:21:47-0800] [ALPM] upgraded python-setuptools (1:41.6.0-1 -> 1:44.0.0-1)
[2020-02-10T19:21:47-0800] [ALPM] upgraded ninja (1.9.0-2 -> 1.10.0-1)
[2020-02-10T19:21:47-0800] [ALPM] upgraded meson (0.52.1-1 -> 0.53.1-1)
[2020-02-10T19:21:47-0800] [ALPM] upgraded mkvtoolnix-cli (41.0.0-1 -> 43.0.0-1)
[2020-02-10T19:21:47-0800] [ALPM] upgraded mkvtoolnix-gui (41.0.0-1 -> 43.0.0-1)
[2020-02-10T19:21:48-0800] [ALPM] upgraded mlt (6.18.0-2 -> 6.18.0-3)
[2020-02-10T19:21:48-0800] [ALPM] upgraded mplayer (38139-3 -> 38157-1)
[2020-02-10T19:21:48-0800] [ALPM] upgraded networkmanager (1.22.0-1 -> 1.22.6-1)
[2020-02-10T19:21:48-0800] [ALPM] upgraded ntp (4.2.8.p13-2 -> 4.2.8.p13-3)
[2020-02-10T19:21:48-0800] [ALPM] upgraded numactl (2.0.13-1 -> 2.0.13-2)
[2020-02-10T19:21:48-0800] [ALPM] upgraded nx-x11 (3.5.99.20-2 -> 3.5.99.22-1)
[2020-02-10T19:21:48-0800] [ALPM] upgraded nxagent (3.5.99.20-2 -> 3.5.99.22-1)
[2020-02-10T19:21:48-0800] [ALPM] upgraded nxproxy (3.5.99.20-2 -> 3.5.99.22-1)
[2020-02-10T19:21:51-0800] [ALPM] upgraded opencv (4.1.2-4 -> 4.2.0-1)
[2020-02-10T19:21:54-0800] [ALPM] upgraded oxygen-icons (1:5.65.0-2 -> 1:5.67.0-1)
[2020-02-10T19:21:54-0800] [ALPM] upgraded perl-dbi (1.642-3 -> 1.643-1)
[2020-02-10T19:21:54-0800] [ALPM] upgraded perl-image-exiftool (11.70-1 -> 11.85-1)
[2020-02-10T19:21:54-0800] [ALPM] upgraded perl-ipc-system-simple (1.25-5 -> 1.26-1)
[2020-02-10T19:21:55-0800] [ALPM] upgraded perl-xml-parser (2.44-9 -> 2.45-1)
[2020-02-10T19:21:55-0800] [ALPM] upgraded perl-xml-sax (1.00-1 -> 1.02-1)
[2020-02-10T19:21:55-0800] [ALPM] upgraded protobuf (3.11.1-2 -> 3.11.3-1)
[2020-02-10T19:21:55-0800] [ALPM] upgraded pulseaudio (13.0-2 -> 13.0-3)
[2020-02-10T19:21:55-0800] [ALPM] upgraded pulseaudio-bluetooth (13.0-2 -> 13.0-3)
[2020-02-10T19:21:55-0800] [ALPM] installed python-pyqt5-sip (12.7.1-1)
[2020-02-10T19:21:56-0800] [ALPM] upgraded python-pyqt5 (5.13.2-8 -> 5.14.1-2)
[2020-02-10T19:21:56-0800] [ALPM] upgraded python-dbus-common (1.2.14-1 -> 1.2.16-1)
[2020-02-10T19:21:56-0800] [ALPM] upgraded python-dbus (1.2.14-1 -> 1.2.16-1)
[2020-02-10T19:21:56-0800] [ALPM] upgraded python-sip (4.19.20-1 -> 4.19.21-1)
[2020-02-10T19:21:56-0800] [ALPM] upgraded pulseaudio-equalizer (13.0-2 -> 13.0-3)
[2020-02-10T19:21:56-0800] [ALPM] upgraded pulseaudio-jack (13.0-2 -> 13.0-3)
[2020-02-10T19:21:57-0800] [ALPM] upgraded pulseaudio-zeroconf (13.0-2 -> 13.0-3)
[2020-02-10T19:21:57-0800] [ALPM] upgraded python-anytree (2.7.3-1 -> 2.8.0-1)
[2020-02-10T19:21:57-0800] [ALPM] upgraded python-cairo (1.18.2-3 -> 1.19.0-1)
[2020-02-10T19:21:57-0800] [ALPM] upgraded python-evdev (1.2.0-3 -> 1.3.0-1)
[2020-02-10T19:21:57-0800] [ALPM] upgraded python-mlt (6.18.0-2 -> 6.18.0-3)
[2020-02-10T19:21:57-0800] [ALPM] upgraded python-numpy (1.17.4-1 -> 1.18.1-1)
[2020-02-10T19:21:57-0800] [ALPM] upgraded python-protobuf (3.11.1-2 -> 3.11.3-1)
[2020-02-10T19:21:57-0800] [ALPM] upgraded python-pyqtwebengine (5.13.2-4 -> 5.14.0-3)
[2020-02-10T19:21:58-0800] [ALPM] upgraded python-urllib3 (1.25.7-1 -> 1.25.8-1)
[2020-02-10T19:21:58-0800] [ALPM] upgraded python2-cairo (1.18.2-3 -> 1.18.2-4)
[2020-02-10T19:21:58-0800] [ALPM] upgraded python2-dbus (1.2.14-1 -> 1.2.16-1)
[2020-02-10T19:21:58-0800] [ALPM] upgraded python2-pyparsing (2.4.5-1 -> 2.4.6-1)
[2020-02-10T19:21:58-0800] [ALPM] upgraded python2-six (1.13.0-2 -> 1.14.0-1)
[2020-02-10T19:21:58-0800] [ALPM] upgraded python2-packaging (19.2-5 -> 20.0-1)
[2020-02-10T19:21:58-0800] [ALPM] upgraded python2-sip-pyqt5 (4.19.20-1 -> 4.19.21-1)
[2020-02-10T19:21:59-0800] [ALPM] upgraded python2-pyqt5 (5.13.2-8 -> 5.14.1-2)
[2020-02-10T19:21:59-0800] [ALPM] upgraded python2-pyqtwebengine (5.13.2-4 -> 5.14.0-3)
[2020-02-10T19:21:59-0800] [ALPM] upgraded python2-setuptools (1:41.6.0-1 -> 1:44.0.0-1)
[2020-02-10T19:21:59-0800] [ALPM] upgraded qscintilla-qt5 (2.11.3-7 -> 2.11.4-1)
[2020-02-10T19:22:00-0800] [ALPM] upgraded qt5-script (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:22:01-0800] [ALPM] upgraded qt5-tools (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:22:02-0800] [ALPM] upgraded qt5-websockets (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:22:02-0800] [ALPM] upgraded qt5-xmlpatterns (5.13.2-1 -> 5.14.1-1)
[2020-02-10T19:22:02-0800] [ALPM] upgraded rsync (3.1.3-1 -> 3.1.3-3)
[2020-02-10T19:22:03-0800] [ALPM] upgraded ruby (2.6.5-1 -> 2.7.0-1)
[2020-02-10T19:22:03-0800] [ALPM] upgraded rubygems (3.0.6-1 -> 3.1.2-4)
[2020-02-10T19:22:05-0800] [ALPM] upgraded sane (1.0.28-2 -> 1.0.29-1)
[2020-02-10T19:22:05-0800] [ALPM] upgraded screen (4.7.0-1 -> 4.8.0-1)
[2020-02-10T19:22:05-0800] [ALPM] upgraded seabios (1.12.1-1 -> 1.13.0-1)
[2020-02-10T19:22:05-0800] [ALPM] upgraded seahorse (1:3.34-2 -> 1:3.34.1-1)
[2020-02-10T19:22:06-0800] [ALPM] upgraded smartmontools (7.0-1 -> 7.1-1)
[2020-02-10T19:22:07-0800] [ALPM] upgraded subversion (1.13.0-1 -> 1.13.0-2)
[2020-02-10T19:22:08-0800] [ALPM] upgraded texlive-bin (2019.51075-4 -> 2019.51075-6)
[2020-02-10T19:22:08-0800] [ALPM] upgraded threadweaver (5.65.0-2 -> 5.67.0-1)
[2020-02-10T19:22:09-0800] [ALPM] upgraded thunar (1.8.11-1 -> 1.8.12-1)
[2020-02-10T19:22:12-0800] [ALPM] upgraded thunderbird (68.4.1-1 -> 68.4.2-1)
[2020-02-10T19:22:13-0800] [ALPM] upgraded tumbler (0.2.7-1 -> 0.2.8-1)
[2020-02-10T19:22:13-0800] [ALPM] upgraded unrar (1:5.8.5-1 -> 1:5.9.1-1)
[2020-02-10T19:22:13-0800] [ALPM] upgraded vala (0.46.5-1 -> 0.46.6-1)
[2020-02-10T19:22:14-0800] [ALPM] upgraded vim-runtime (8.1.2268-2 -> 8.2.0148-1)
[2020-02-10T19:22:14-0800] [ALPM] upgraded vim (8.1.2268-2 -> 8.2.0148-1)
[2020-02-10T19:22:16-0800] [ALPM] upgraded vlc (3.0.8-7 -> 3.0.8-8)
[2020-02-10T19:22:16-0800] [ALPM] upgraded vulkan-tools (1.1.128-1 -> 1.2.131.1-1)
[2020-02-10T19:22:17-0800] [ALPM] upgraded wpebackend-fdo (1.4.0-2 -> 1.4.1-1)
[2020-02-10T19:22:20-0800] [ALPM] upgraded webkit2gtk (2.26.2-2 -> 2.26.3-1)
[2020-02-10T19:22:20-0800] [ALPM] upgraded x2goclient (4.1.2.1-3 -> 4.1.2.1-4)
[2020-02-10T19:22:20-0800] [ALPM] upgraded xf86-input-wacom (0.38.0-1 -> 0.39.0-1)
[2020-02-10T19:22:20-0800] [ALPM] upgraded xfce4-panel (4.14.1-1 -> 4.14.3-1)
[2020-02-10T19:22:20-0800] [ALPM] upgraded xfce4-session (4.14.0-2 -> 4.14.1-1)
[2020-02-10T19:22:20-0800] [ALPM] upgraded xfce4-settings (4.14.1-1 -> 4.14.2-1)
[2020-02-10T19:22:20-0800] [ALPM] upgraded xfce4-terminal (0.8.8-2 -> 0.8.9.1-1)
[2020-02-10T19:22:21-0800] [ALPM] upgraded xfdesktop (4.14.1-2 -> 4.14.2-1)
[2020-02-10T19:22:21-0800] [ALPM] upgraded xorg-server-common (1.20.6-2 -> 1.20.7-1)
[2020-02-10T19:22:22-0800] [ALPM] upgraded xorg-server (1.20.6-2 -> 1.20.7-1)
[2020-02-10T19:22:22-0800] [ALPM] upgraded xournalpp (1.0.16-1 -> 1.0.17-1)
[2020-02-10T19:22:24-0800] [ALPM] upgraded argyllcms (2.1.1-1 -> 2.1.2-1)
[2020-02-10T19:22:24-0800] [ALPM] upgraded atril (1.22.2-3 -> 1.22.3-1)
[2020-02-10T19:22:26-0800] [ALPM] upgraded audacity (1:2.3.3-1 -> 1:2.3.3-2)
[2020-02-10T19:22:26-0800] [ALPM] upgraded yaml-cpp (0.6.3-1 -> 0.6.3-2)
[2020-02-10T19:22:27-0800] [ALPM] upgraded openimageio (2.0.13-1 -> 2.0.13-2)
[2020-02-10T19:22:27-0800] [ALPM] upgraded openshadinglanguage (1.10.8-1 -> 1.10.9-1)
[2020-02-10T19:22:27-0800] [ALPM] upgraded ptex (2.3.0-1 -> 2.3.0-2)
[2020-02-10T19:22:30-0800] [ALPM] upgraded opensubdiv (3.4.0-2 -> 3.4.0-3)
[2020-02-10T19:22:30-0800] [ALPM] upgraded blosc (1.17.0-1 -> 1.17.1-1)
[2020-02-10T19:22:30-0800] [ALPM] upgraded log4cplus (2.0.4-1 -> 2.0.5-1)
[2020-02-10T19:22:31-0800] [ALPM] upgraded openvdb (7.0.0-1 -> 7.0.0-2)
[2020-02-10T19:22:42-0800] [ALPM] upgraded blender (17:2.81.a-3 -> 17:2.81.a-5)
[2020-02-10T19:22:44-0800] [ALPM] upgraded caja (1.22.2-1 -> 1.22.3-1)
[2020-02-10T19:22:49-0800] [ALPM] upgraded calibre-common (4.6.0-1 -> 4.10.1-1)
[2020-02-10T19:22:49-0800] [ALPM] upgraded python2-beautifulsoup4 (4.8.1-1 -> 4.8.2-1)
[2020-02-10T19:22:49-0800] [ALPM] upgraded python2-mechanize (1:0.4.4-2 -> 1:0.4.5-1)
[2020-02-10T19:22:50-0800] [ALPM] installed python2-pychm (0.8.6-1)
[2020-02-10T19:22:50-0800] [ALPM] upgraded python2-regex (2019.08.19-3 -> 2020.1.8-1)
[2020-02-10T19:22:50-0800] [ALPM] upgraded libimagequant (2.12.5-1 -> 2.12.6-1)
[2020-02-10T19:22:50-0800] [ALPM] upgraded calibre (4.6.0-1 -> 4.10.1-1)
[2020-02-10T19:22:51-0800] [ALPM] upgraded python-pexpect (4.7.0-3 -> 4.8.0-1)
[2020-02-10T19:22:51-0800] [ALPM] upgraded catfish (1.4.10-2 -> 1.4.13-1)
[2020-02-10T19:22:51-0800] [ALPM] upgraded ccache (3.7.6-1 -> 3.7.7-1)
[2020-02-10T19:22:52-0800] [ALPM] upgraded ceph-libs (14.2.1-3 -> 14.2.7-1)
[2020-02-10T19:22:52-0800] [ALPM] upgraded dateutils (0.4.6-1 -> 0.4.7-1)
[2020-02-10T19:22:52-0800] [ALPM] installed pugixml (1.10-1)
[2020-02-10T19:22:53-0800] [ALPM] upgraded dolphin-emu (1:5.0.r7309.10d230a512-6 -> 1:5.0.r11617.0491831483-1)
[2020-02-10T19:22:54-0800] [ALPM] upgraded ecasound (2.9.2-2 -> 2.9.3-1)
[2020-02-10T19:22:54-0800] [ALPM] upgraded firejail (0.9.60-1 -> 0.9.62-1)
[2020-02-10T19:22:55-0800] [ALPM] upgraded gambas3-runtime (3.14.2-1 -> 3.14.3-5)
[2020-02-10T19:22:55-0800] [ALPM] upgraded gambas3-gb-form (3.14.2-1 -> 3.14.3-5)
[2020-02-10T19:22:55-0800] [ALPM] upgraded gambas3-gb-form-stock (3.14.2-1 -> 3.14.3-5)
[2020-02-10T19:22:55-0800] [ALPM] upgraded gambas3-gb-image (3.14.2-1 -> 3.14.3-5)
[2020-02-10T19:22:55-0800] [ALPM] upgraded gambas3-gb-gtk (3.14.2-1 -> 3.14.3-5)
[2020-02-10T19:22:55-0800] [ALPM] upgraded gendesk (1.0.4-1 -> 1.0.5-1)
[2020-02-10T19:22:56-0800] [ALPM] upgraded giada (0.16.0-1 -> 0.16.1-1)
[2020-02-10T19:22:56-0800] [ALPM] upgraded glm (0.9.9.6-2 -> 0.9.9.7-1)
[2020-02-10T19:22:58-0800] [ALPM] upgraded glusterfs (1:7.0-3 -> 1:7.2-1)
[2020-02-10T19:22:58-0800] [ALPM-SCRIPTLET] -- Read https://gluster.readthedocs.io/en/latest/Upgrade-Guide/ page!
[2020-02-10T19:23:30-0800] [ALPM] installed go-pie (2:1.13.7-1)
[2020-02-10T19:23:33-0800] [ALPM] upgraded handbrake (1.3.0-1 -> 1.3.1-1)
[2020-02-10T19:23:34-0800] [ALPM] upgraded hub (2.13.0-1 -> 2.14.1-1)
[2020-02-10T19:23:36-0800] [ALPM] upgraded hydrogen (1.0.0beta1-1 -> 1.0.0beta1-2)
[2020-02-10T19:23:41-0800] [ALPM] upgraded juce (5.4.4-1 -> 5.4.7-1)
[2020-02-10T19:23:42-0800] [ALPM] upgraded leptonica (1.78.0-1 -> 1.79.0-1)
[2020-02-10T19:23:42-0800] [ALPM] upgraded libcurl-compat (7.67.0-2 -> 7.68.0-1)
[2020-02-10T19:23:42-0800] [ALPM] upgraded libcurl-gnutls (7.67.0-2 -> 7.68.0-1)
[2020-02-10T19:23:42-0800] [ALPM] upgraded libev (4.27-1 -> 4.31-1)
[2020-02-10T19:23:43-0800] [ALPM] upgraded libmgba (0.7.3-2 -> 0.8.0-1)
[2020-02-10T19:23:44-0800] [ALPM] upgraded libnm-glib (1.18.2-1 -> 1.18.5dev+12+ga8746f48ca-1)
[2020-02-10T19:23:47-0800] [ALPM] upgraded osinfo-db (20190920-1 -> 20191125-1)
[2020-02-10T19:23:47-0800] [ALPM] upgraded libosinfo (1.6.0-1 -> 1.7.1-1)
[2020-02-10T19:23:47-0800] [ALPM] upgraded libquicktime (1.2.4-20 -> 1.2.4-22)
[2020-02-10T19:23:49-0800] [ALPM] warning: /etc/libvirt/qemu/networks/default.xml installed as /etc/libvirt/qemu/networks/default.xml.pacnew
[2020-02-10T19:23:50-0800] [ALPM] upgraded libvirt (5.10.0-1 -> 5.10.0-2)
[2020-02-10T19:23:51-0800] [ALPM] upgraded lilypond (2.19.82-1 -> 2.19.83-1)
[2020-02-10T19:23:54-0800] [ALPM] upgraded lsp-plugins (1.1.10-1 -> 1.1.13-2)
[2020-02-10T19:23:54-0800] [ALPM] upgraded mgba-qt (0.7.3-2 -> 0.8.0-1)
[2020-02-10T19:23:55-0800] [ALPM] upgraded moony.lv2 (0.30.0-1 -> 0.30.0-2)
[2020-02-10T19:23:55-0800] [ALPM] upgraded mpv (1:0.30.0-5 -> 1:0.32.0-1)
[2020-02-10T19:23:55-0800] [ALPM] upgraded mupen64plus (2.5-14 -> 2.5-15)
[2020-02-10T19:24:02-0800] [ALPM] upgraded musescore (3.3.4-1 -> 3.4.2-1)
[2020-02-10T19:24:03-0800] [ALPM] upgraded nodejs (13.5.0-1 -> 13.8.0-1)
[2020-02-10T19:24:04-0800] [ALPM] upgraded semver (6.3.0-2 -> 7.1.2-1)
[2020-02-10T19:24:10-0800] [ALPM] upgraded node-gyp (6.0.1-1 -> 6.1.0-1)
[2020-02-10T19:24:10-0800] [ALPM] upgraded noise-repellent (0.1.4-2 -> 0.1.5-2)
[2020-02-10T19:24:10-0800] [ALPM] upgraded ntk (1.3.1000-4 -> 1.3.1000-5)
[2020-02-10T19:24:11-0800] [ALPM] upgraded non-mixer (1.2.0-2 -> 1.2.0-3)
[2020-02-10T19:24:11-0800] [ALPM] upgraded non-sequencer (1.9.5-2 -> 1.9.5-3)
[2020-02-10T19:24:11-0800] [ALPM] upgraded non-session-manager (1.2.0-2 -> 1.2.0-3)
[2020-02-10T19:24:12-0800] [ALPM] upgraded non-timeline (1.2.0-2 -> 1.2.0-3)
[2020-02-10T19:24:18-0800] [ALPM] upgraded npm (6.12.1-1 -> 6.13.6-1)
[2020-02-10T19:24:18-0800] [ALPM] upgraded openbsd-netcat (1.195_2-1 -> 1.206_1-1)
[2020-02-10T19:24:18-0800] [ALPM] upgraded opera-ffmpeg-codecs (78.0.3904.108-1 -> 79.0.3945.130-1)
[2020-02-10T19:24:18-0800] [ALPM] upgraded opusfile (0.11-1 -> 0.11-2)
[2020-02-10T19:24:18-0800] [ALPM] upgraded pacman-contrib (1.2.0-3 -> 1.3.0-1)
[2020-02-10T19:24:23-0800] [ALPM] upgraded papirus-icon-theme (20191201-1 -> 20200201-1)
[2020-02-10T19:24:23-0800] [ALPM] upgraded pcsclite (1.8.25-1 -> 1.8.26-1)
[2020-02-10T19:24:24-0800] [ALPM] upgraded performous (1.1-21 -> 1.1-23)
[2020-02-10T19:24:24-0800] [ALPM] upgraded pulseeffects (4.6.9-1 -> 4.7.1-2)
[2020-02-10T19:24:24-0800] [ALPM] upgraded python-astor (0.8-3 -> 0.8.1-1)
[2020-02-10T19:24:25-0800] [ALPM] upgraded python-beautifulsoup4 (4.8.1-1 -> 4.8.2-1)
[2020-02-10T19:24:25-0800] [ALPM] upgraded python-cachecontrol (0.12.5-6 -> 0.12.6-1)
[2020-02-10T19:24:25-0800] [ALPM] upgraded python-more-itertools (8.0.2-1 -> 8.1.0-1)
[2020-02-10T19:24:25-0800] [ALPM] upgraded python-zipp (0.6.0-3 -> 1.0.0-1)
[2020-02-10T19:24:25-0800] [ALPM] upgraded python-importlib-metadata (0.23-2 -> 1.4.0-1)
[2020-02-10T19:24:25-0800] [ALPM] upgraded python-mutagen (1.43.0-1 -> 1.44.0-1)
[2020-02-10T19:24:25-0800] [ALPM] upgraded python-pyrsistent (0.15.6-1 -> 0.15.7-1)
[2020-02-10T19:24:26-0800] [ALPM] upgraded python-pyudev (0.21.0-8 -> 0.22-1)
[2020-02-10T19:24:30-0800] [ALPM] upgraded python-scipy (1.3.1-2 -> 1.4.1-1)
[2020-02-10T19:24:48-0800] [ALPM] upgraded tensorflow (2.1.0rc1-2 -> 2.1.0-3)
[2020-02-10T19:24:53-0800] [ALPM] upgraded python-tensorflow-estimator (2.0.0-2 -> 2.1.0-1)
[2020-02-10T19:25:05-0800] [ALPM] upgraded python-tensorflow (2.1.0rc1-2 -> 2.1.0-3)
[2020-02-10T19:25:06-0800] [ALPM] upgraded python-wcwidth (0.1.7-5 -> 0.1.8-1)
[2020-02-10T19:25:06-0800] [ALPM] upgraded python2-mutagen (1.43.0-1 -> 1.43.0-2)
[2020-02-10T19:25:07-0800] [ALPM] upgraded python2-sqlalchemy (1.3.12-1 -> 1.3.13-1)
[2020-02-10T19:25:08-0800] [ALPM] upgraded qmidictl (0.6.0-1 -> 0.6.1-1)
[2020-02-10T19:25:08-0800] [ALPM] upgraded qsynth (0.6.0-1 -> 0.6.1-1)
[2020-02-10T19:25:08-0800] [ALPM] upgraded qt5-styleplugins (5.0.0.20170311-17 -> 5.0.0.20170311-19)
[2020-02-10T19:25:08-0800] [ALPM] upgraded qt5ct (0.41-1 -> 0.41-2)
[2020-02-10T19:25:09-0800] [ALPM] upgraded qtractor (0.9.11-2 -> 0.9.12-1)
[2020-02-10T19:25:09-0800] [ALPM] upgraded rt-tests (1.5-2 -> 1.6-1)
[2020-02-10T19:25:18-0800] [ALPM] upgraded ruby-bundler (2.1.1-1 -> 2.1.4-1)
[2020-02-10T19:25:19-0800] [ALPM] upgraded ruby-ffi (1.11.3-1 -> 1.11.3-3)
[2020-02-10T19:25:19-0800] [ALPM] upgraded ruby-minitest (5.11.3-2 -> 5.13.0-3)
[2020-02-10T19:25:19-0800] [ALPM] upgraded ruby-multi_json (1.14.1-1 -> 1.14.1-2)
[2020-02-10T19:25:19-0800] [ALPM] upgraded ruby-rdoc (6.2.0-1 -> 6.2.0-2)
[2020-02-10T19:25:19-0800] [ALPM] upgraded ruby-rouge (3.3.0-2 -> 3.14.0-2)
[2020-02-10T19:25:19-0800] [ALPM] upgraded ruby-rugged (0.28.4.1-1 -> 0.28.4.1-3)
[2020-02-10T19:25:19-0800] [ALPM] upgraded ruby-sys-proctable (1.2.2-1 -> 1.2.2-3)
[2020-02-10T19:25:19-0800] [ALPM] upgraded sigil (1.0.0-1 -> 1.1.0-1)
[2020-02-10T19:25:19-0800] [ALPM] upgraded smtube (19.6.0-1 -> 20.1.0-1)
[2020-02-10T19:25:19-0800] [ALPM] upgraded snes9x (1.60-4 -> 1.60-5)
[2020-02-10T19:25:19-0800] [ALPM] upgraded snes9x-gtk (1.60-4 -> 1.60-5)
[2020-02-10T19:25:19-0800] [ALPM] installed ruby-concurrent (1.1.5-2)
[2020-02-10T19:25:19-0800] [ALPM] installed ruby-json (2.3.0-2)
[2020-02-10T19:25:19-0800] [ALPM] installed ruby-mocha (1.11.2-2)
[2020-02-10T19:25:19-0800] [ALPM] installed ruby-tzinfo (2.0.1-1)
[2020-02-10T19:25:19-0800] [ALPM] installed ruby-zeitwerk (2.2.2-1)
[2020-02-10T19:25:19-0800] [ALPM] installed ruby-activesupport (6.0.2.1-2)
[2020-02-10T19:25:19-0800] [ALPM] installed ruby-i18n (1.8.1-1)
[2020-02-10T19:25:19-0800] [ALPM] installed ruby-kramdown (2.1.0-2)
[2020-02-10T19:25:20-0800] [ALPM] upgraded supercollider (3.10.3-5 -> 3.10.4-2)
[2020-02-10T19:25:20-0800] [ALPM-SCRIPTLET] The vim plugin 'SCVim' is now developed separately: https://github.com/supercollider/scvim
[2020-02-10T19:25:20-0800] [ALPM-SCRIPTLET] Until a package is provided, please use the install methods mentioned in the link.
[2020-02-10T19:25:22-0800] [ALPM] upgraded sonic-pi (3.1.0-7 -> 3.1.0-8)
[2020-02-10T19:25:24-0800] [ALPM] upgraded spectmorph (0.5.0-1 -> 0.5.0-2)
[2020-02-10T19:25:24-0800] [ALPM] upgraded sshfs (3.6.0-1 -> 3.7.0-1)
[2020-02-10T19:25:24-0800] [ALPM] upgraded tesseract (4.1.0-2 -> 4.1.1-1)
[2020-02-10T19:25:24-0800] [ALPM-SCRIPTLET] You must install one of tesseract-data-* packages or whole tesseract-data group
[2020-02-10T19:25:24-0800] [ALPM] warning: /etc/vnstat.conf installed as /etc/vnstat.conf.pacnew
[2020-02-10T19:25:24-0800] [ALPM] upgraded vnstat (2.4-1 -> 2.6-1)
[2020-02-10T19:25:48-0800] [ALPM] upgraded wesnoth (1:1.14.9-2 -> 1:1.14.11-1)
[2020-02-10T19:25:49-0800] [ALPM] upgraded lib32-util-linux (2.34-1 -> 2.35.1-1)
[2020-02-10T19:25:49-0800] [ALPM] upgraded lib32-fontconfig (2:2.13.91+24+g75eadca-1 -> 2:2.13.91+24+g75eadca-2)
[2020-02-10T19:25:59-0800] [ALPM-SCRIPTLET] Rebuilding 32-bit fontconfig cache... done.
[2020-02-10T19:25:59-0800] [ALPM] upgraded lib32-libcap (2.27-1 -> 2.29-1)
[2020-02-10T19:25:59-0800] [ALPM] upgraded lib32-systemd (244.1-1 -> 244.2-1)
[2020-02-10T19:26:00-0800] [ALPM] upgraded lib32-llvm-libs-git (10.0.0_r334255.d372576d8a3-1 -> 11.0.0_r341621.ea8b2cb9bf5-1)
[2020-02-10T19:26:00-0800] [ALPM] upgraded lib32-mesa-git (1:20.0.0_devel.118645.fe4a8df9a8e-1 -> 1:20.1.0_devel.119977.20bcbcd9589-1)
[2020-02-10T19:26:00-0800] [ALPM] upgraded lib32-libglvnd (1.3.0-1 -> 1.3.0-2)
[2020-02-10T19:26:00-0800] [ALPM] upgraded lib32-libjpeg-turbo (2.0.3-1 -> 2.0.4-1)
[2020-02-10T19:26:00-0800] [ALPM] upgraded lib32-zstd (1.4.3-1 -> 1.4.4-1)
[2020-02-10T19:26:12-0800] [ALPM] upgraded wine-staging (4.21-1 -> 5.0-1)
[2020-02-10T19:26:12-0800] [ALPM] upgraded winetricks (20190912-1 -> 20191224-2)
[2020-02-10T19:26:16-0800] [ALPM] upgraded wireshark-cli (3.2.0-1 -> 3.2.1-1)
[2020-02-10T19:26:17-0800] [ALPM] upgraded wireshark-qt (3.2.0-1 -> 3.2.1-1)
[2020-02-10T19:26:18-0800] [ALPM] upgraded x42-plugins (20191215-1 -> 20200114-1)
[2020-02-10T19:26:19-0800] [ALPM] upgraded xfce4-whiskermenu-plugin (2.3.4-1 -> 2.3.5-1)
[2020-02-10T19:26:21-0800] [ALPM] upgraded yoshimi (1.6.1-2 -> 1.7.0.1-1)
[2020-02-10T19:26:21-0800] [ALPM] upgraded lib32-alsa-lib (1.2.1.2-1 -> 1.2.1.2-2)
[2020-02-10T19:26:21-0800] [ALPM] upgraded lib32-alsa-plugins (1.2.1-1 -> 1.2.1-2)
[2020-02-10T19:26:21-0800] [ALPM] upgraded lib32-e2fsprogs (1.45.4-1 -> 1.45.5-1)
[2020-02-10T19:26:22-0800] [ALPM] upgraded lib32-krb5 (1.17-1 -> 1.17.1-1)
[2020-02-10T19:26:22-0800] [ALPM] upgraded lib32-libidn2 (2.2.0-1 -> 2.3.0-1)
[2020-02-10T19:26:22-0800] [ALPM] upgraded lib32-curl (7.67.0-2 -> 7.68.0-1)
[2020-02-10T19:26:22-0800] [ALPM] upgraded lib32-dbus (1.12.16-1 -> 1.12.16-2)
[2020-02-10T19:26:22-0800] [ALPM] upgraded lib32-libtasn1 (4.15.0-1 -> 4.16.0-1)
[2020-02-10T19:26:22-0800] [ALPM] upgraded lib32-p11-kit (0.23.18.1-1 -> 0.23.20-2)
[2020-02-10T19:26:22-0800] [ALPM] upgraded lib32-gnutls (3.6.11.1-1 -> 3.6.12-1)
[2020-02-10T19:26:22-0800] [ALPM] upgraded lib32-glib-networking (2.62.2-1 -> 2.62.3-1)
[2020-02-10T19:26:23-0800] [ALPM] upgraded lib32-gstreamer (1.16.1-1 -> 1.16.2-1)
[2020-02-10T19:26:23-0800] [ALPM] upgraded lib32-gst-plugins-base-libs (1.16.1-1 -> 1.16.2-1)
[2020-02-10T19:26:23-0800] [ALPM] upgraded lib32-libgusb (0.3.1-1 -> 0.3.3-1)
[2020-02-10T19:26:23-0800] [ALPM] upgraded lib32-sqlite (3.30.1-1 -> 3.31.1-1)
[2020-02-10T19:26:24-0800] [ALPM] upgraded lib32-gtk3 (3.24.13-1 -> 3.24.13-2)
[2020-02-10T19:26:24-0800] [ALPM] upgraded lib32-libcurl-compat (7.67.0-2 -> 7.68.0-1)
[2020-02-10T19:26:24-0800] [ALPM] upgraded lib32-libcurl-gnutls (7.67.0-2 -> 7.68.0-1)
[2020-02-10T19:26:24-0800] [ALPM] upgraded lib32-libmikmod (3.3.11.1-3 -> 3.3.11.1-4)
[2020-02-10T19:26:24-0800] [ALPM] upgraded lib32-nspr (4.24-1 -> 4.25-1)
[2020-02-10T19:26:24-0800] [ALPM] upgraded lib32-nss (3.48-1 -> 3.50-1)
[2020-02-10T19:26:25-0800] [ALPM] upgraded lib32-libnm-glib (1.18.2-3 -> 1.18.5dev+12+ga8746f48ca-1)
[2020-02-10T19:26:25-0800] [ALPM] upgraded lib32-libva (2.5.0-1 -> 2.6.0-1)
[2020-02-10T19:26:25-0800] [ALPM] upgraded lib32-libwebp (1.0.3-1 -> 1.1.0-1)
[2020-02-10T19:26:25-0800] [ALPM] upgraded lib32-openal (1.20.0-1 -> 1.20.1-1)
[2020-02-10T19:26:26-0800] [ALPM] upgraded lib32-openssl-1.0 (1.0.2.t-1 -> 1.0.2.u-1)
[2020-02-10T19:26:26-0800] [ALPM] upgraded lib32-v4l-utils (1.16.7-1 -> 1.18.0-1)
[2020-02-10T19:26:26-0800] [ALPM] upgraded lib32-vulkan-icd-loader (1.1.129-1 -> 1.2.132-1)
[2020-02-10T19:26:27-0800] [ALPM] upgraded pcsx2 (1.4.0-8 -> 1.4.0-9)
[2020-02-10T19:26:33-0800] [ALPM] upgraded llvm-git (10.0.0_r334252.3a779b7dfd8-1 -> 11.0.0_r341619.c1c9819ef91-1)
[2020-02-10T19:26:58-0800] [ALPM] upgraded clang-git (10.0.0_r334252.3a779b7dfd8-1 -> 11.0.0_r341619.c1c9819ef91-1)
[2020-02-10T19:26:59-0800] [ALPM] upgraded vulkan-mesa-layer-git (1:20.0.0_devel.118645.fe4a8df9a8e-1 -> 1:20.1.0_devel.119977.20bcbcd9589-1)
[2020-02-10T19:26:59-0800] [ALPM] upgraded lib32-vulkan-mesa-layer-git (1:20.0.0_devel.118645.fe4a8df9a8e-1 -> 1:20.1.0_devel.119977.20bcbcd9589-1)
[2020-02-10T19:27:00-0800] [ALPM] upgraded vulkan-radeon-git (1:20.0.0_devel.118645.fe4a8df9a8e-1 -> 1:20.1.0_devel.119977.20bcbcd9589-1)
[2020-02-10T19:27:00-0800] [ALPM] upgraded lib32-vulkan-radeon-git (1:20.0.0_devel.118645.fe4a8df9a8e-1 -> 1:20.1.0_devel.119977.20bcbcd9589-1)
[2020-02-10T19:27:03-0800] [ALPM] upgraded libclc-git (589.201912181709-1 -> 589.202002051305-1)
[2020-02-10T19:27:06-0800] [ALPM] upgraded opencl-mesa-git (1:20.0.0_devel.118645.fe4a8df9a8e-1 -> 1:20.1.0_devel.119977.20bcbcd9589-1)

Less than 24 hours after that upgrade, the new linux-lts came out and I upgraded to 5.4.18-1. I also upgraded xfce4-whiskermenu-plugin. I still had not restarted the computer even once since that initial big upgrade on 2/10. The issue started happening before any reboots took place, once my headset suddenly disconnected on its own (which has been an infrequent recurring issue for a while), and has kept happening ever since through many reboots.


Am I gonna have to stumble in the dark as if it's a brand new Bluetooth headset that I'm setting up for the first time? Where do I get relevant logs? dmesg doesn't seem to output anything related to bluetooth, and bluetoothctl doesn't say anything other than the standard "attempting connection" and "connected: yes" lines.


And now suddenly in the middle of all this testing JACK has started consistently refusing to boot up! At least as far as those crucial packages at the top of this post, I'm not running any version or even any combination of versions that hasn't worked fine just yesterday. What the hell is going on with my system???

Last edited by Cadeyrn (2020-02-12 16:24:33)

Offline

#4 2020-02-12 16:53:56

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 8,713

Re: Bluetooth headset stopped working after update and I can't get it back

Randomly downgrading select few packages isn't really supported and can break at any moment.

My suggestion at this point would be to update everything, attempt to connect post all outputs generated by that attempt, post a sudo journalctl -b excerpt after the connection attempt, where we see the Bluetooth service, kernel, and pulse messages if any.

FWIW out of all these packages you've identified, jack is pretty guaranteed to not have any relation here. The only packages that by default offer, and have a relation to, bluetooth audio implementation are pulseaudio and bluez (and kernel and kernel hardware and firmware)...

Which bluetooth chip is that? iwlwifi? You might want to experiment with the coex module options or so.

In addition to that, bluetooth is in general a fickle beast. Can you try to unpair them from your phone? Maybe the headsets have an issue with being associated with multiple devices.

Last edited by V1del (2020-02-12 16:58:24)

Offline

#5 2020-02-12 17:36:34

Cadeyrn
Member
Registered: 2013-04-06
Posts: 154

Re: Bluetooth headset stopped working after update and I can't get it back

Further testing reveals it's definitely Bluetooth on my system that's having trouble. I tried connecting a DualShock 4 and got the same behavior. Blueman and bluetoothctl both *think* the device is connected, but it never actually shows up as the device it's supposed to on my system--be that an A2DP sink or a controller/joystick.

Nice catch with the unpairing--I've unpaired it from my phone, and turned my phone's Bluetooth off. It isn't paired with any other device. I wonder if this could still have anything to do with the issue, even after an unpair?, as I actually paired this headset to that phone for the first time ever in the morning before this issue came up.

The Bluetooth module I'm using is part of an onboard Wi-Fi PCI card with my motherboard (an ASRock X470 Taichi Ultimate)--Intel Corporation Dual Band Wireless-AC 3168NGW [Stone Peak] (rev 10)
I just tried plugging in a backup USB Bluetooth dongle and it actually works fine, with the headset and controller and everything, at least on the older package versions. Between that and the lack of downgrading solving anything, could it be that this Wi-FI card has independently gone bad at the same time I upgraded my system? Its Wi-Fi capabilities seem to be similarly nonresponsive now, despite working just the other day. Connecting to any network, or connecting to any hotspot it hosts with a phone, both result in an endless loop of asking for the password again.

I'm about to reboot into the fully upgraded system (which I'm now going to stick with, since downgrading didn't get me anywhere this time) and then I'll get some logs.

I know downgrading select packages isn't supported, but in my experience it's very often a good idea. The key to troubleshooting is to pinpoint exactly what was done differently that lead to different behavior. 9 times out of 10, when something goes wrong on a system I'm not actively tinkering with, the exact thing that was done differently was a package upgrade. And if it is indeed a package upgrade, then 10 times out of 10, briefly downgrading to the last version just to test that hypothesis saves hours or even days of aimless, desperate troubleshooting steps. From there, of course the solution is not to stick with that old version, but my point is that confirming whether that old version works better can be crucial to getting to the bottom of the issue. Troubleshooting isn't about only trying what's supported. It's about doing whatever it takes to find the root cause.

Last edited by Cadeyrn (2020-02-12 17:37:03)

Offline

#6 2020-02-12 17:52:12

Cadeyrn
Member
Registered: 2013-04-06
Posts: 154

Re: Bluetooth headset stopped working after update and I can't get it back

Here's the bluetoothctl output:

$ sudo bluetoothctl
Agent registered
[bluetooth]# devices
Device 00:16:94:28:B3:5E HD 4.40BT
Device 00:1B:66:89:C1:2E HD1 M2 IEBT
Device 00:22:68:CF:79:83 DualShock 4 2nd

# at this point, I turn the headset on

[bluetooth]# connect 00:16:94:28:B3:5E
Attempting to connect to 00:16:94:28:B3:5E
[CHG] Device 00:16:94:28:B3:5E Connected: yes

# 30 seconds or so pass, no A2DP sink

[CHG] Device 00:16:94:28:B3:5E ServicesResolved: yes
[CHG] Device 00:16:94:28:B3:5E Paired: yes
Failed to connect: org.bluez.Error.Failed
[CHG] Device 00:16:94:28:B3:5E ServicesResolved: no
[CHG] Device 00:16:94:28:B3:5E Connected: no
[bluetooth]#

and the journalctl -b output from launching bluetoothctl to saving the log.

Feb 12 09:45:10 Death-Tower sudo[18779]:     jimi : TTY=pts/0 ; PWD=/home/jimi ; USER=root ; COMMAND=/usr/bin/bluetoothctl
Feb 12 09:45:10 Death-Tower sudo[18779]: pam_unix(sudo:session): session opened for user root by (uid=0)
Feb 12 09:45:10 Death-Tower kernel: audit: type=1100 audit(1581529510.059:126): pid=18779 uid=1000 auid=1000 ses=1 msg='op=PAM:authentication grantors=pam_unix,pam_permit acct="jimi" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb 12 09:45:10 Death-Tower kernel: audit: type=1101 audit(1581529510.059:127): pid=18779 uid=1000 auid=1000 ses=1 msg='op=PAM:accounting grantors=pam_unix,pam_permit,pam_time acct="jimi" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb 12 09:45:10 Death-Tower kernel: audit: type=1110 audit(1581529510.059:128): pid=18779 uid=0 auid=1000 ses=1 msg='op=PAM:setcred grantors=pam_unix,pam_permit acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb 12 09:45:10 Death-Tower kernel: audit: type=1105 audit(1581529510.059:129): pid=18779 uid=0 auid=1000 ses=1 msg='op=PAM:session_open grantors=pam_limits,pam_unix,pam_permit acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb 12 09:45:10 Death-Tower kernel: [UFW BLOCK] IN=enp35s0 OUT= MAC=70:85:c2:bf:35:e4:18:e8:29:3b:5a:e2:08:00 SRC=54.92.215.54 DST=10.145.50.234 LEN=40 TOS=0x00 PREC=0x00 TTL=45 ID=32097 DF PROTO=TCP SPT=443 DPT=31968 WINDOW=309 RES=0x00 ACK URGP=0
Feb 12 09:45:25 Death-Tower kernel: [UFW BLOCK] IN=enp35s0 OUT= MAC=70:85:c2:bf:35:e4:18:e8:29:3b:5a:e2:08:00 SRC=54.92.215.54 DST=10.145.50.234 LEN=40 TOS=0x00 PREC=0x00 TTL=45 ID=32098 DF PROTO=TCP SPT=443 DPT=31968 WINDOW=309 RES=0x00 ACK URGP=0
Feb 12 09:45:40 Death-Tower kernel: [UFW BLOCK] IN=enp35s0 OUT= MAC=70:85:c2:bf:35:e4:18:e8:29:3b:5a:e2:08:00 SRC=54.92.215.54 DST=10.145.50.234 LEN=40 TOS=0x00 PREC=0x00 TTL=45 ID=32099 DF PROTO=TCP SPT=443 DPT=31968 WINDOW=309 RES=0x00 ACK URGP=0
Feb 12 09:45:55 Death-Tower kernel: [UFW BLOCK] IN=enp35s0 OUT= MAC=70:85:c2:bf:35:e4:18:e8:29:3b:5a:e2:08:00 SRC=54.92.215.54 DST=10.145.50.234 LEN=40 TOS=0x00 PREC=0x00 TTL=45 ID=32100 DF PROTO=TCP SPT=443 DPT=31968 WINDOW=309 RES=0x00 ACK URGP=0
Feb 12 09:45:56 Death-Tower systemd[1022]: Reached target Bluetooth.
Feb 12 09:46:10 Death-Tower kernel: [UFW BLOCK] IN=enp35s0 OUT= MAC=70:85:c2:bf:35:e4:18:e8:29:3b:5a:e2:08:00 SRC=54.92.215.54 DST=10.145.50.234 LEN=40 TOS=0x00 PREC=0x00 TTL=45 ID=32101 DF PROTO=TCP SPT=443 DPT=31968 WINDOW=309 RES=0x00 ACK URGP=0
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3377] dhcp4 (enp35s0): option dhcp_lease_time      => '600'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3380] dhcp4 (enp35s0): option domain_name_servers  => '10.145.50.1'
Feb 12 09:46:12 Death-Tower dbus-daemon[755]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service' requested by ':1.2' (uid=0 pid=756 comm="/usr/bin/NetworkManager --no-daemon ")
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3380] dhcp4 (enp35s0): option expiry               => '1581530172'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3380] dhcp4 (enp35s0): option host_name            => 'Death-Tower'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3380] dhcp4 (enp35s0): option ip_address           => '10.145.50.234'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3380] dhcp4 (enp35s0): option next_server          => '10.145.50.1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3380] dhcp4 (enp35s0): option requested_broadcast_address => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3380] dhcp4 (enp35s0): option requested_domain_name => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3380] dhcp4 (enp35s0): option requested_domain_name_servers => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3380] dhcp4 (enp35s0): option requested_domain_search => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3380] dhcp4 (enp35s0): option requested_host_name  => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_interface_mtu => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_ms_classless_static_routes => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_nis_domain => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_nis_servers => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_ntp_servers => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_rfc3442_classless_static_routes => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_root_path  => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_routers    => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_static_routes => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_subnet_mask => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_time_offset => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option requested_wpad       => '1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3381] dhcp4 (enp35s0): option routers              => '10.145.50.1'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3382] dhcp4 (enp35s0): option subnet_mask          => '255.255.255.0'
Feb 12 09:46:12 Death-Tower NetworkManager[756]: <info>  [1581529572.3382] dhcp4 (enp35s0): state changed bound -> extended
Feb 12 09:46:12 Death-Tower systemd[1]: Starting Network Manager Script Dispatcher Service...
Feb 12 09:46:12 Death-Tower dbus-daemon[755]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Feb 12 09:46:12 Death-Tower systemd[1]: Started Network Manager Script Dispatcher Service.
Feb 12 09:46:12 Death-Tower audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 12 09:46:12 Death-Tower kernel: audit: type=1130 audit(1581529572.339:130): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 12 09:46:22 Death-Tower systemd[1]: NetworkManager-dispatcher.service: Succeeded.
Feb 12 09:46:22 Death-Tower audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 12 09:46:22 Death-Tower kernel: audit: type=1131 audit(1581529582.399:131): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 12 09:46:22 Death-Tower bluetoothd[754]: 00:16:94:28:B3:5E: error updating services: Connection timed out (110)
Feb 12 09:46:25 Death-Tower kernel: [UFW BLOCK] IN=enp35s0 OUT= MAC=70:85:c2:bf:35:e4:18:e8:29:3b:5a:e2:08:00 SRC=54.92.215.54 DST=10.145.50.234 LEN=40 TOS=0x00 PREC=0x00 TTL=45 ID=32102 DF PROTO=TCP SPT=443 DPT=31968 WINDOW=309 RES=0x00 ACK URGP=0
Feb 12 09:46:40 Death-Tower kernel: [UFW BLOCK] IN=enp35s0 OUT= MAC=70:85:c2:bf:35:e4:18:e8:29:3b:5a:e2:08:00 SRC=54.92.215.54 DST=10.145.50.234 LEN=40 TOS=0x00 PREC=0x00 TTL=45 ID=32103 DF PROTO=TCP SPT=443 DPT=31968 WINDOW=309 RES=0x00 ACK URGP=0
Feb 12 09:46:55 Death-Tower kernel: [UFW BLOCK] IN=enp35s0 OUT= MAC=70:85:c2:bf:35:e4:18:e8:29:3b:5a:e2:08:00 SRC=54.92.215.54 DST=10.145.50.234 LEN=40 TOS=0x00 PREC=0x00 TTL=45 ID=32104 DF PROTO=TCP SPT=443 DPT=31968 WINDOW=309 RES=0x00 ACK URGP=0
Feb 12 09:47:10 Death-Tower kernel: [UFW BLOCK] IN=enp35s0 OUT= MAC=70:85:c2:bf:35:e4:18:e8:29:3b:5a:e2:08:00 SRC=54.92.215.54 DST=10.145.50.234 LEN=40 TOS=0x00 PREC=0x00 TTL=45 ID=32105 DF PROTO=TCP SPT=443 DPT=31968 WINDOW=309 RES=0x00 ACK URGP=0

Upgrading my system back up seems to have solved whatever went wrong with JACK (perhaps qjackctl 0.6.1 doesn't agree with older versions of systemd or the kernel or pulse), and the USB dongle is still working with all Bluetooth devices.

EDIT: FWIW I just tried swapping out the antenna, because I can and I had a spare, and same behavior. So if this is a hardware issue, it looks like I'm gonna have to RMA my motherboard (still under warranty).

Last edited by Cadeyrn (2020-02-12 19:11:14)

Offline

Board footer

Powered by FluxBB